#! /usr/bin/env python3

import random

RANDOM_SEED = 42
NUM_MAX = 1000

NUMBER_LISTS = [
#        (10, "numbers_10.txt"),
#        (50, "numbers_50.txt"),
        (100,     "numbers_100.txt"),
        (250,     "numbers_250.txt"),
        (500,     "numbers_500.txt"),
        (750,     "numbers_750.txt"),
        (1000,    "numbers_1000.txt"),
        (2500,    "numbers_2500.txt"),
        (5000,    "numbers_5000.txt"),
        (7500,    "numbers_7500.txt"),
        (10000,   "numbers_10000.txt"),
        (25000,   "numbers_25000.txt"),
        (50000,   "numbers_50000.txt"),
        (75000,   "numbers_75000.txt"),
        (100000,  "numbers_100000.txt"),
        (250000,  "numbers_250000.txt"),
        (500000,  "numbers_500000.txt"),
        (750000,  "numbers_750000.txt"),
        (1000000, "numbers_1000000.txt")
]

for (n, filename) in NUMBER_LISTS:
    random.seed( RANDOM_SEED )

    with open(filename, "w") as f:
        f.write( "{}\n".format( n ) )

        for _ in range(n):
            f.write( "{}\n".format( random.randint(0, NUM_MAX) ) )
